%define name	watchdog
%define version	5.2
%define release	2
%define prefix	/usr

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A software watchdog
Copyright: GPL
Group: Applications/System
Vendor: Michael Meskes <meskes@debian.org>
Distribution: Should be part of RedHat Linux
Icon: doggy.gif
Source: ftp://metalab.unc.edu/pub/linux/system/daemons/watchdog/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{prefix}

%description
The watchdog program writes to /dev/watchdog every ten seconds.
If the device is open but not written to within a minute the machine
will reboot.  Each write delays the reboot time another minute.
The ability to reboot will depend on the state of the machines
and interrupts.  To use this software at least a version 1.3.52
kernel is needed.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS} -DNFS_VERSION=4" ./configure --prefix=%{prefix} 
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
%makeinstall CONFIG_FILENAME=${RPM_BUILD_ROOT}/etc/watchdog.conf
install -c -m 755 rc.watchdog.redhat ${RPM_BUILD_ROOT}/etc/rc.d/init.d/watchdog

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
rm -f /dev/watchdog /dev/temperature
mknod /dev/watchdog c 10 130
mknod /dev/temperature c 10 131
/sbin/chkconfig --add watchdog

%postun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del watchdog
fi

%files
%defattr(0644, root, root, 0755)
%doc ChangeLog examples README NEWS AUTHORS COPYING IAFA-PACKAGE
%doc INSTALL watchdog.lsm
%{_mandir}/man?/*
%attr(755, root, root) %{_sbindir}/watchdog
%attr(755, root, root) %config /etc/rc.d/init.d/watchdog
%config /etc/watchdog.conf

%changelog
* Fri Oct 05 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri May 18 2001 Peter Soos <sp@osb.hu>
- Moved to version 5.2

* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 7.0

* Mon Feb 28 2000 Peter Soos <sp@osb.hu>
- Moved to version 5.1

* Mon Jul 19 1999 Peter Soos <sp@osb.hu>
- Modify the spec file to build the package as an ordinary user
- Added %changelog
- Added %config and %attr macros
- Rebuilt under RedHat Linux 6.0
